<html devsite>
  <head>
    <title>Audio Latency</title>
    <meta name="project_path" value="/_project.yaml" />
    <meta name="book_path" value="/_book.yaml" />
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->


<p>Audio latency is the time delay as an audio signal passes through a system.
</p>

<h3 id="resources">Resources</h3>

<table>
<tr>
  <th>Topic</th>
  <th>Links</th>
</tr>
<tr>
  <td>Description of audio latency for purposes of Android compatibility</td>
  <td><a href="/compatibility/android-cdd#5_6_audio_latency">Android Compatibility Definition Document (CDD)</a><br />
    <em>section 5.6 Audio Latency</em></td>
</tr>
<tr>
  <td>Common causes of audio latency</td>
  <td><a href="/devices/audio/latency/contrib.html">Contributors to Audio Latency</a></td>
</tr>
<tr>
  <td>Android's audio latency-reduction efforts</td>
  <td><a href="/devices/audio/latency/design.html">Design For Reduced Latency</a></td>
</tr>
<tr>
  <td>Techniques to measure audio latency</td>
  <td>
    <a href="/devices/audio/latency/measure.html">Measuring Audio Latency</a><br />
    <a href="/devices/audio/latency/testing_circuit.html">Light Testing Circuit</a><br />
    <a href="/devices/audio/latency/loopback.html">Audio Loopback Dongle</a>
  </td>
</tr>
<tr>
  <td>Round-trip audio latency results</td>
  <td><a href="/devices/audio/latency/measurements.html">Audio Latency Measurements</a></td>
</tr>
<tr>
  <td>Applications</td>
  <td><a href="/devices/audio/latency/app.html">Audio Latency for App Developers</a></td>
</tr>
<tr>
  <td>AAudio and MMAP</td>
  <td><a href="/devices/audio/aaudio.html">AAudio for OEMs and SoC Vendors</a></td>
</table>

  </body>
</html>
